/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.speedo.jmx.mbeans;

import org.objectweb.perseus.cache.api.CacheException;

import java.util.Collection;

/**
 * 
 *
 * @author S.Chassande-Barrioz
 */
public interface CacheMBean {
    
    String getCache_AutoCleanSize();
    
    String getCache_AutoCleanThreshold();
    
    Collection getCache_ObjectIdentifiers();
    
    int getCache_CurrentSize();
    
    int getCache_MaxObjects();
    
    void setCache_AutoCleanSize(String size);
    
    void setCache_AutoCleanThreshold(String size);
    
    void setCache_MaxObjects(int size) throws IllegalArgumentException,
            CacheException;
        
    void pinAll(String classname, boolean subclass);
    
    void unpinAll(String classname, boolean subclass);

    void evictAll(String classname, boolean subclass);

    void evictAll();
}
