/**
 * Copyright (C) 2001-2004 France Telecom R&D
 */
package org.objectweb.speedo.pobjects.collection;

import java.util.List;

/**
 * 
 * @author chassase
 */
public class AutoRef {
	/**
	 * The identifier of the persistent class
	 */
	private String identifier;
	
	/**
	 * A reference an AutoRef instance.
	 */
	private AutoRef myRef;
	
	/**
	 * A collection of AutoRef instances.
	 */
	private List myRefs;
	
	
	/**
	 * @param identifier
	 */
	public AutoRef(String identifier) {
		this.identifier = identifier;
	}
	
	/**
	 * @return Returns the myRef.
	 */
	public AutoRef getMyRef() {
		return myRef;
	}
	/**
	 * @param myRef The myRef to set.
	 */
	public void setMyRef(AutoRef myRef) {
		this.myRef = myRef;
	}
	/**
	 * @return Returns the myRefs.
	 */
	public List getMyRefs() {
		return myRefs;
	}
	/**
	 * @param myRefs The myRefs to set.
	 */
	public void setMyRefs(List myRefs) {
		this.myRefs = myRefs;
	}
	/**
	 * @return Returns the identifier.
	 */
	public String getIdentifier() {
		return identifier;
	}
}
