/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.userid;

import java.io.Serializable;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class StringLongId implements Serializable {

    public String id1;

    public long id2;

    public StringLongId() {
    }

    public StringLongId(String s) {
        int idx = s.indexOf(':');
        id1 = s.substring(0,idx);
        id2 = Long.parseLong(s.substring(idx + 1));
    }

    public StringLongId(String id1, long id2) {
        this.id1 = id1;
        this.id2 = id2;
    }

    public String toString() {
        return id1 + ":" + id2;
    }
}
