/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */
package org.objectweb.speedo.j2eedo.ejb;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * Interface StoreServicesRemote
 *
 *
 * @author S.Rodiere
 *
 */
public interface StoreServicesRemote extends EJBObject {
	/**
	 * @param action to be performed
	 * @see org.objectweb.speedo.j2eedo.database.DatabaseImpl
	 * @return
	 */
	String doAction(String action) throws RemoteException;
}