package invoice;

import java.io.IOException;


/**
 * @author S.Chassande-Barrioz
 */
public class Remover {

    public static void main(String[] args) {
        InvoiceAppsHelper a = null;
        try {
            a = new InvoiceAppsHelper(args[0]);
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(-1);
        }
        System.out.println("Removing the invoice...");
        a.removeInvoices();

        System.out.println("Removing the products...");
        a.removeProducts();

        System.out.println("Removing the addresses...");
        a.removeAddresses();

        System.out.println("Data base:");
        System.out.println("==========");
        a.printAll();
    }
}
