/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.lib;


public class BooleanHelper {
	public static boolean parse(String val, boolean defaut) {
        if ("false".equalsIgnoreCase(val)
                || "off".equalsIgnoreCase(val)
                || "no".equalsIgnoreCase(val)
                || "non".equalsIgnoreCase(val)
                || "n".equalsIgnoreCase(val)) {
        	return false;
        } else if ("true".equalsIgnoreCase(val)
            || "on".equalsIgnoreCase(val)
            || "yes".equalsIgnoreCase(val)
            || "oui".equalsIgnoreCase(val)
            || "y".equalsIgnoreCase(val)
            || "o".equalsIgnoreCase(val)) {
        	return true;
        } else {
        	return defaut;
        }
    }
}
