/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.ejb.pobjects.basic;

import java.io.Serializable;

public class CompPk implements Serializable {
	public int pkv1;
	public String pkv2;
	
	public CompPk() {
		
	}
	
	public boolean equals(Object o) {
		return (this.pkv1 == ((CompPk) o).pkv1) && this.pkv2.equals(((CompPk) o).pkv2);
	}
	
	public int hashCode() {
		return pkv1 + pkv2.hashCode();
	}
	
	public int getIdp1() {
		return pkv1;
	}
	
	public void setIdp1(int v) {
		pkv1 = v;
	}
	
	public int getIdp2() {
		return Integer.parseInt(pkv2);
	}
	
	public void setIdp2(int v) {
		pkv2 = Integer.toString(v);
	}
}
