/*
 * Created on 22 juin 2005
 */
package abook.data;

/**
 * Provides object of type Session mapping the data stored in the sql database
 */
public class Session {
	
	private User owner;
	private String sessionId;
	
	
	/**
	 * Constructs a new Session object
	 * @param sessionId The session identifier
	 */
	public Session(String sessionId) {
		this.sessionId = sessionId;
	}	
	/**
	 * Constructs a new Author object
	 * @param owner The session owner
	 * @param sessionId The session identifier
	 */
	public Session(User owner, String sessionId) {
		this.owner = owner;
		this.sessionId = sessionId;
	}
	/**
	 * @return Returns the owner login.
	 */
	public User getOwner() {
		return owner;
	}
	/**
	 * @param owner The owner login to set.
	 */
	public void setOwner(User owner) {
		this.owner = owner;
	}
	/**
	 * @return Returns the sessionId.
	 */
	public String getSessionId() {
		return sessionId;
	}
	/**
	 * @param sessionId The sessionId to set.
	 */
	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}
}
