/*
 * Created on 16 juin 2005
 */
package abook.data;



/**
 * Provides object of type User mapping the data stored in the sql database
  */
public class User {
	
	private String lastName;
	private String firstName;
	private String login;
	private String password;

	/**
	 * Constructs a new User object
	 * @param lastName The user last name.
	 * @param firstName The user first name.
	 * @param login The user login.
	 * @param password the user password.
	 */
	public User(String lastName, String firstName, String login, String password) {
		this.lastName = lastName;
		this.firstName = firstName;
		this.login = login;
		this.password = password;
	}
	/**
	 * @return Returns the firstName.
	 */
	public String getFirstName() {
		return firstName;
	}
	/**
	 * @param firstName The firstName to set.
	 */
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	/**
	 * @return Returns the lastName.
	 */
	public String getLastName() {
		return lastName;
	}
	/**
	 * @param lastName The lastName to set.
	 */
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	/**
	 * @return Returns the login.
	 */
	public String getLogin() {
		return login;
	}
	/**
	 * @param login The login to set.
	 */
	public void setLogin(String login) {
		this.login = login;
	}

	/**
	 * @return Returns the password.
	 */
	public String getPassword() {
		return password;
	}
	/**
	 * @param password The password to set.
	 */
	public void setPassword(String password) {
		this.password = password;
	}	
}
