package org.objectweb.speedo.runtime.unilog;


import java.util.Iterator;

import javax.jdo.Extent;
import javax.jdo.PersistenceManager;

import org.objectweb.speedo.SpeedoTestHelper;
import org.objectweb.speedo.pobjects.unilog.Checkpoint;
import org.objectweb.speedo.pobjects.unilog.Personne;
import org.objectweb.speedo.pobjects.unilog.Team;
import org.objectweb.speedo.pobjects.unilog.Vehicle;
import org.objectweb.util.monolog.api.BasicLevel;

/**
 * 
 * @author Y.Bersihand
 */
public class ModelTest extends SpeedoTestHelper {

	public ModelTest(String s) {
		super(s);
	}

	protected String getLoggerName() {
		return LOG_NAME + ".rt.tutorial.ModelTest";
	}
	
	public void testModel() {
		logger.log(BasicLevel.DEBUG, "***************testModel*****************");
		
		PersistenceManager pm = pmf.getPersistenceManager();
		//store the graph defined above in the datastore
		pm.getObjectIdClass(Personne.class);
		pm.getObjectIdClass(Team.class);
		pm.getObjectIdClass(Vehicle.class);
	    pm.getObjectIdClass(Checkpoint.class);
	      
	    Extent extent = pm.getExtent(Team.class, false);
	    Iterator it = extent.iterator();
	    while(it.hasNext()) {
	    	Object a =  it.next();
	        System.out.print(a.toString());
	    }
	    extent.closeAll();
	    pm.close();
	}
}
